org.w3c.dom

## Interface DOMLocator

    public interface DOMLocator

`DOMLocator` is an interface that describes a location (e.g. where an error occurred).

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getByteOffset()` The byte offset into the input source this locator is pointing to or `-1` if there is no byte offset available.
`int` `getColumnNumber()` The column number this locator is pointing to, or `-1` if there is no column number available.
`int` `getLineNumber()` The line number this locator is pointing to, or `-1` if there is no column number available.
`Node` `getRelatedNode()` The node this locator is pointing to, or `null` if no node is available.
`java.lang.String` `getUri()` The URI this locator is pointing to, or `null` if no URI is available.
`int` `getUtf16Offset()` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or `-1` if there is no UTF-16 offset available.

### Method Detail

#### getLineNumber

    int getLineNumber()

The line number this locator is pointing to, or `-1` if there is no column number available.

#### getColumnNumber

    int getColumnNumber()

The column number this locator is pointing to, or `-1` if there is no column number available.

#### getByteOffset

    int getByteOffset()

The byte offset into the input source this locator is pointing to or `-1` if there is no byte offset available.

#### getUtf16Offset

    int getUtf16Offset()

The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or `-1` if there is no UTF-16 offset available.

#### getRelatedNode

    Node getRelatedNode()

The node this locator is pointing to, or `null` if no node is available.

#### getUri

    java.lang.String getUri()

The URI this locator is pointing to, or `null` if no URI is available.

org.w3c.dom.events, org.w3c.dom.ranges and org.w3c.dom.traversal packages Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation